| Home · All Classes · All Namespaces · Modules · Functions · Files

# StatusSpecMap Struct Reference
[Mapping types]

`#include <TelepathyQt4/Types>`

List of all members.

## Public Member Functions

- StatusSpecMap ()
- StatusSpecMap (const QMap< QString, StatusSpec > &a)
- StatusSpecMap & operator= (const QMap< QString, StatusSpec > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, StatusSpec>, but needed to have a discrete type in the Qt4 type system.

## Constructor & Destructor Documentation

StatusSpecMap | ( |  | ) | `[inline]`

StatusSpecMap | ( | const QMap< QString, StatusSpec > & | a | ) | `[inline]`

## Member Function Documentation

StatusSpecMap& operator= | ( | const QMap< QString, StatusSpec > & | a | ) | `[inline]`